using System.Runtime.InteropServices;

namespace Inspectron.Devices.Raspberry
{
    public static class LunixNatives
    {
        public const int O_RDWR = 2;

        [DllImport("libc.so.6")]
        extern public static int open(string file, int mode);

        [DllImport("libc.so.6")]
        extern public static int close(int fd);

        [DllImport("libc.so.6")]
        extern public static int ioctl(int fd, int request, byte x);

        public const int I2C_SLAVE = 0x0703;

    }
}